cmake_minimum_required(VERSION 3.0)
project(damaris_backends)

include(FindPkgConfig)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wshadow -Wall -O0 -g -DSPC_DEBUG=0")


find_package(EXPAT REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules (GLIB2   glib-2.0 REQUIRED)
pkg_check_modules (XERCES xerces-c REQUIRED)

include_directories (. ${GLIB2_INCLUDE_DIRS} ${XERCES_INCLUDE_DIRS})
link_directories (${GLIB2_LIBRARY_DIRS} ${XERCES_LIBRARY_DIRS})


add_subdirectory(core)
#add_subdirectory(doc)
add_subdirectory(drivers)
#add_subdirectory(tools)
#add_subdirectory(tests)
add_subdirectory(machines)
#add_executable(backends ${SOURCE_FILES})
